import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ReportCancellApplyService {
  findList (params) {
    return request({
      url: prefix + '/cwProjectReportCancell/findList',
      method: 'get',
      params: params
    })
  }
  list (params) {
    return request({
      url: prefix + '/cwProjectReportCancell/list',
      method: 'get',
      params: params
    })
  }
  saveForm (inputForm) {
    return request({
      url: prefix + `/cwProjectReportCancell/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/cwProjectReportCancell/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (data) {
    return request({
      url: prefix + '/cwProjectReportCancell/updateStatusById',
      method: 'post',
      data: data
    })
  }
  delete (ids) {
    return request({
      url: prefix + '/cwProjectReportCancell/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  queryByNo (no) {
    return request({
      url: prefix + '/cwProjectReportCancell/queryByNo',
      method: 'get',
      params: {no: no}
    })
  }
	exportExcel (params) {
		return request({
			url: prefix + '/cwProjectReportCancell/export',
			method: 'get',
			params: params,
			responseType: 'blob'
		})
	}


}
